Loading...
Searching...
No Matches
dna16sam.hpp File Reference

Provides seqan3::dna16sam. More...

`#include <seqan3/alphabet/nucleotide/nucleotide_base.hpp>`
Include dependency graph for dna16sam.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | seqan3::dna16sam
| A 16 letter DNA alphabet, containing all IUPAC symbols minus the gap and plus an equality sign ('='). More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::literals
| The SeqAn namespace for literals.

## Functions

Nucleotide literals
constexpr dna16sam_vector | seqan3::literals::operator""_dna16sam (char const *s, size_t n)
| The seqan3::dna16sam string literal.
constexpr dna16sam | seqan3::literals::operator""_dna16sam (char const c) noexcept
| The seqan3::dna16sam char literal.

## Detailed Description

Provides seqan3::dna16sam.

Author
  Svenja Mehringer <svenja.mehringer AT fu-berlin.de>

Hide me